package com.cm.common.pojo.bos;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: PositionBO
 * @Description: 职位
 * @Author: WangGeng
 * @Date: 2019-08-10 13:27
 * @Version: 1.0
 **/
public class PositionBO implements Serializable {

    private static final long serialVersionUID = -7228959403262849245L;
    private String positionId;
    private String positionName;
    private String positionSummary;

    public String getPositionId() {
        return positionId == null ? "" : positionId.trim();
    }

    public void setPositionId(String positionId) {
        this.positionId = positionId;
    }

    public String getPositionName() {
        return positionName == null ? "" : positionName.trim();
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }

    public String getPositionSummary() {
        return positionSummary == null ? "" : positionSummary.trim();
    }

    public void setPositionSummary(String positionSummary) {
        this.positionSummary = positionSummary;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"positionId\":")
                .append("\"").append(positionId).append("\"");
        sb.append(",\"positionName\":")
                .append("\"").append(positionName).append("\"");
        sb.append(",\"positionSummary\":")
                .append("\"").append(positionSummary).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
